#!/bin/sh

CAMNAME="oscamicamnew"
BINARY="oscamicamnew"
PIDFILE=/var/tmp/${CAMNAME}.pid
CAM_PATH="/etc/tuxbox/config/$CAMNAME/"

remove_tmp () {
  rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/*share* /tmp/*.pid* /tmp/*sbox*
}

case "$1" in
  start)
  echo "[SCRIPT] $1: $CAMNAME"
  remove_tmp
  touch /tmp/.emu.info
   echo $BINARY > /tmp/.emu.info

DAEMON=/usr/bin/$CAMNAME
echo "$DAEMON --config-dir $CAM_PATH --daemon --pidfile $PIDFILE --restart 2 " >> $LOGFILE
$DAEMON --config-dir $CAM_PATH --daemon --pidfile $PIDFILE --restart 2

 # /usr/bin/$BINARY &
  ;;
  stop)
  echo "[SCRIPT] $1: $CAMNAME"
  killall -9 $BINARY  2>/dev/null
  remove_tmp
  ;;
  restart)
  $0 stop
  sleep 2
  $0 start
  exit
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0
